tt_release(library call)

NAME
tt_release — free storage allocated on the ToolTalk API allocation stack

SYNOPSIS

#include &<Tt/tt_c.h>
void tt_release(
int mark);

DESCRIPTION

The tt_release function frees all storage allocated on the ToolTalk API allocation stack since mark was returned by tt_mark(3).

The mark argument is an integer that marks the application's storage position in the ToolTalk API allocation stack.

APPLICATION USAGE

This function frees all storage allocated since the tt_mark(3) call that returned mark and is typically called at the end of a procedure to release all storage allocated within the procedure.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_mark(3).